Browser Requirements

AerPort supports the following browsers:

  • Internet Explorer 10+
  • Firefox 38+
  • Chrome
  • Safari 6.2+ (on OS X only. Support for Windows OS has been removed since Safari 5.1.7.)
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.